* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: Arial;
}
body {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
}
.instructions {
    width: 20%;
    margin-right: 100px;
    border: 2px solid #373737;
    padding: 10px;
    text-align: center;
}
.device {
    width: 372px;
    height: 600px;
    border: 2px solid #000000;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #646464;
}
#resetar {
    border-radius: 5px;
    border: 2px solid #484848;
    background: #b6b6b6;
    transition:  linear transform 0.1s;
}
#resetar:hover {
    cursor: pointer;
    transform: scale(1.02);
}
.screen {
    width: 322px;
    height: 255px;
    border: 5px solid #373737;
    border-radius: 5px;
    margin-top: 20px;
    background: #FFFFFF;
    display: flex;
    justify-content: center;
    align-items: center;
}
.room {
    width: 304px;
    height: 204px;
    border: 2px solid #000000;
    display: flex;
    flex-wrap: wrap;
}
.robo {
    width: 50px;
    position: absolute;
    margin-top: 150px;
    transition: linear rotate 0.3s, margin-top 0.3s, margin-left 0.3s;
    z-index: 2;
}
.dirt {
    width: 50px;
    position: absolute;
    z-index: 1;
}
.espaco {
    width: 50px;
    height: 50px;
    border: 1px solid #000000;
}
.commands {
    margin-top: 10px;
    width: 360px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.commands input {    
    width: 100%;
    margin: 3px;
    font-size: 16px;
}
.control {
    width: 90%;
    height: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.top, .bottom {
    display: flex;
    justify-content: center;
    width: 100%;
} 
button {
    width: 80px;
    height: 80px;
    font-size: 45px;
    margin: 2px;
    border-radius: 10px;
    border: 5px solid #373737;
    transition: linear transform 0.1s;
}
button:hover {
    cursor: pointer;
    transform: scale(1.05);
}
.mid {
    display: flex;
    justify-content: center;
    width: 90%;
}